Ethiack Docs
Event reports

Get Event Report

GET
/v1/events/{event_slug}/reports/{report_id}

Fetches detailed information about a specific report associated with a specified event.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

event_slug*string

The slug of the event associated with the report

report_id*integer

The unique identifier of the report

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.ethiack.com/v1/events/string/reports/0"
{
  "id": 0,
  "generation_date": null,
  "start_date": "2019-08-24T14:15:22Z",
  "end_date": "2019-08-24T14:15:22Z",
  "created": "2019-08-24T14:15:22Z",
  "options": {},
  "event_id": 0,
  "error": null
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}